import java.io.*;

public final class FileOrderBug {

    private final File m_baseFile;

    public FileOrderBug() throws IOException  {
        m_baseFile = ( new File( "log" ) ).getCanonicalFile();  
    }

    private String getFilename( int i ) {
        return m_baseFile.getName() + ".00000" + i;
    }

    private void createFile(int rotation) throws IOException {
        final File file = new File( getFilename( rotation ) );  
        if( !file.createNewFile() )      
            throw new IOException( "Failed to create file " + file );
           
        file.setLastModified( System.currentTimeMillis() );
    }
   
    public void test() throws Exception {	
       
        createFile( 0);
        createFile( 1);
        createFile( 2);
        createFile( 3);
        createFile( 4);
        createFile( 5);
	
        File basePath = new File( "." );
        File[] files = basePath.listFiles();
        for(int i=0; i < files.length; i++)
            System.out.println("Name: " + files[i]);       
    }

    public static void main(String[] args) throws Exception {
	FileOrderBug bug = new FileOrderBug();
        bug.test();
    }

}
